My Project: openb3dlib.mod/openb3d/src/functions.h File Reference

My Project

Macros | Functions
functions.h File Reference

Go to the source code of this file.

## Macros

#define | DLL_EXPORT

## Functions

void DLL_EXPORT | FreeShader (Shader *shader)
void DLL_EXPORT | FreeStencil (Stencil *stencil)
void DLL_EXPORT | TextureFlags (Texture *tex, int flags)
void DLL_EXPORT | FreeSurface (Surface *surf)
void DLL_EXPORT | TextureGLTexEnv (Texture *tex, int target, int pname, int param)
void DLL_EXPORT | BrushGLColor (Brush *brush, float r, float g, float b, float a)
void DLL_EXPORT | BrushGLBlendFunc (Brush *brush, int sfactor, int dfactor)
void DLL_EXPORT | BufferToTex (Texture *tex, unsigned char *buffer, int frame)
void DLL_EXPORT | BackBufferToTex (Texture *tex, int frame)
void DLL_EXPORT | CameraToTex (Texture *tex, Camera *cam, int frame)
void DLL_EXPORT | TexToBuffer (Texture *tex, unsigned char *buffer, int frame)
void DLL_EXPORT | MeshCullRadius (Entity *ent, float radius)
int DLL_EXPORT | AddAnimSeq (Entity *ent, int length)
void DLL_EXPORT | AddMesh (Mesh *mesh1, Mesh *mesh2)
int DLL_EXPORT | AddTriangle (Surface *surf, int v0, int v1, int v2)
int DLL_EXPORT | AddVertex (Surface *surf, float x, float y, float z, float u, float v, float w)
void DLL_EXPORT | AmbientLight (float r, float g, float b)
void DLL_EXPORT | AntiAlias (int samples)
void DLL_EXPORT | Animate (Entity *ent, int mode, float speed, int seq, int trans)
int DLL_EXPORT | Animating (Entity *ent)
int DLL_EXPORT | AnimLength (Entity *ent)
int DLL_EXPORT | AnimSeq (Entity *ent)
float DLL_EXPORT | AnimTime (Entity *ent)
void DLL_EXPORT | BrushAlpha (Brush *brush, float a)
void DLL_EXPORT | BrushBlend (Brush *brush, int blend)
void DLL_EXPORT | BrushColor (Brush *brush, float r, float g, float b)
void DLL_EXPORT | BrushFX (Brush *brush, int fx)
void DLL_EXPORT | BrushShininess (Brush *brush, float s)
void DLL_EXPORT | BrushTexture (Brush *brush, Texture *tex, int frame, int index)
void DLL_EXPORT | CameraClsColor (Camera *cam, float r, float g, float b)
void DLL_EXPORT | CameraClsMode (Camera *cam, int cls_depth, int cls_zbuffer)
void DLL_EXPORT | CameraFogColor (Camera *cam, float r, float g, float b)
void DLL_EXPORT | CameraFogMode (Camera *cam, int mode)
void DLL_EXPORT | CameraFogRange (Camera *cam, float nnear, float nfar)
Entity *DLL_EXPORT | CameraPick (Camera *cam, float x, float y)
void DLL_EXPORT | CameraProject (Camera *cam, float x, float y, float z)
void DLL_EXPORT | CameraProjMode (Camera *cam, int mode)
void DLL_EXPORT | CameraRange (Camera *cam, float nnear, float nfar)
void DLL_EXPORT | CameraViewport (Camera *cam, int x, int y, int width, int height)
void DLL_EXPORT | CameraZoom (Camera *cam, float zoom)
void DLL_EXPORT | ClearSurface (Surface *surf, int clear_verts, int clear_tris)
void DLL_EXPORT | ClearTextureFilters ()
void DLL_EXPORT | ClearWorld (int entities, int brushes, int textures)
Entity *DLL_EXPORT | CollisionEntity (Entity *ent, int index)
void DLL_EXPORT | Collisions (int src_no, int dest_no, int method_no, int response_no)
float DLL_EXPORT | CollisionNX (Entity *ent, int index)
float DLL_EXPORT | CollisionNY (Entity *ent, int index)
float DLL_EXPORT | CollisionNZ (Entity *ent, int index)
Surface *DLL_EXPORT | CollisionSurface (Entity *ent, int index)
float DLL_EXPORT | CollisionTime (Entity *ent, int index)
int DLL_EXPORT | CollisionTriangle (Entity *ent, int index)
float DLL_EXPORT | CollisionX (Entity *ent, int index)
float DLL_EXPORT | CollisionY (Entity *ent, int index)
float DLL_EXPORT | CollisionZ (Entity *ent, int index)
int DLL_EXPORT | CountChildren (Entity *ent)
int DLL_EXPORT | CountCollisions (Entity *ent)
Entity *DLL_EXPORT | CopyEntity (Entity *ent, Entity *parent)
Mesh *DLL_EXPORT | CopyMesh (Mesh *mesh, Entity *parent)
int DLL_EXPORT | CountSurfaces (Mesh *mesh)
int DLL_EXPORT | CountTriangles (Surface *surf)
int DLL_EXPORT | CountVertices (Surface *surf)
Brush *DLL_EXPORT | CreateBrush (float r, float g, float b)
Camera *DLL_EXPORT | CreateCamera (Entity *parent)
Mesh *DLL_EXPORT | CreateCone (int segments, int solid, Entity *parent)
Mesh *DLL_EXPORT | CreateCylinder (int segments, int solid, Entity *parent)
Mesh *DLL_EXPORT | CreateCube (Entity *parent)
Terrain *DLL_EXPORT | CreateGeosphere (int size, Entity *parent)
Mesh *DLL_EXPORT | CreateMesh (Entity *parent)
Light *DLL_EXPORT | CreateLight (int light_type, Entity *parent)
Pivot *DLL_EXPORT | CreatePivot (Entity *parent)
Mesh *DLL_EXPORT | CreatePlane (int divisions, Entity *parent)
Mesh *DLL_EXPORT | CreateQuad (Entity *parent)
ShadowObject *DLL_EXPORT | CreateShadow (Mesh *parent, char Static)
Mesh *DLL_EXPORT | CreateSphere (int segments, Entity *parent)
Sprite *DLL_EXPORT | CreateSprite (Entity *parent)
Surface *DLL_EXPORT | CreateSurface (Mesh *mesh, Brush *brush)
Stencil *DLL_EXPORT | CreateStencil ()
Terrain *DLL_EXPORT | CreateTerrain (int size, Entity *parent)
Texture *DLL_EXPORT | CreateTexture (int width, int height, int flags, int frames)
VoxelSprite *DLL_EXPORT | CreateVoxelSprite (int slices, Entity *parent)
float DLL_EXPORT | DeltaPitch (Entity *ent1, Entity *ent2)
float DLL_EXPORT | DeltaYaw (Entity *ent1, Entity *ent2)
void DLL_EXPORT | EntityAlpha (Entity *ent, float alpha)
void DLL_EXPORT | EntityAutoFade (Entity *ent, float near, float far)
void DLL_EXPORT | EntityBlend (Entity *ent, int blend)
void DLL_EXPORT | EntityBox (Entity *ent, float x, float y, float z, float w, float h, float d)
const char *DLL_EXPORT | EntityClass (Entity *ent)
Entity *DLL_EXPORT | EntityCollided (Entity *ent, int type_no)
void DLL_EXPORT | EntityColor (Entity *ent, float red, float green, float blue)
float DLL_EXPORT | EntityDistance (Entity *ent1, Entity *ent2)
void DLL_EXPORT | EntityFX (Entity *ent, int fx)
int DLL_EXPORT | EntityInView (Entity *ent, Camera *cam)
const char *DLL_EXPORT | EntityName (Entity *ent)
void DLL_EXPORT | EntityOrder (Entity *ent, int order)
void DLL_EXPORT | EntityParent (Entity *ent, Entity *parent_ent, int glob)
Entity *DLL_EXPORT | EntityPick (Entity *ent, float range)
void DLL_EXPORT | EntityPickMode (Entity *ent, int pick_mode, int obscurer)
float DLL_EXPORT | EntityPitch (Entity *ent, int glob)
void DLL_EXPORT | EntityRadius (Entity *ent, float radius_x, float radius_y)
float DLL_EXPORT | EntityRoll (Entity *ent, int glob)
void DLL_EXPORT | EntityShininess (Entity *ent, float shine)
void DLL_EXPORT | EntityTexture (Entity *ent, Texture *tex, int frame, int index)
void DLL_EXPORT | EntityType (Entity *ent, int type_no, int recursive)
int DLL_EXPORT | EntityVisible (Entity *src_ent, Entity *dest_ent)
float DLL_EXPORT | EntityX (Entity *ent, int glob)
float DLL_EXPORT | EntityY (Entity *ent, int glob)
float DLL_EXPORT | EntityYaw (Entity *ent, int glob)
float DLL_EXPORT | EntityZ (Entity *ent, int glob)
int DLL_EXPORT | ExtractAnimSeq (Entity *ent, int first_frame, int last_frame, int seq)
Entity *DLL_EXPORT | FindChild (Entity *ent, char *child_name)
Surface *DLL_EXPORT | FindSurface (Mesh *mesh, Brush *brush)
void DLL_EXPORT | FitMesh (Mesh *mesh, float x, float y, float z, float width, float height, float depth, int uniform)
void DLL_EXPORT | FlipMesh (Mesh *mesh)
void DLL_EXPORT | FreeBrush (Brush *brush)
void DLL_EXPORT | FreeEntity (Entity *ent)
void DLL_EXPORT | FreeShadow (ShadowObject *shad)
void DLL_EXPORT | FreeTexture (Texture *tex)
Texture *DLL_EXPORT | GetBrushTexture (Brush *brush, int index)
Entity *DLL_EXPORT | GetChild (Entity *ent, int child_no)
Brush *DLL_EXPORT | GetEntityBrush (Entity *ent)
int DLL_EXPORT | GetEntityType (Entity *ent)
float DLL_EXPORT | GetMatElement (Entity *ent, int row, int col)
Entity *DLL_EXPORT | GetParentEntity (Entity *ent)
Surface *DLL_EXPORT | GetSurface (Mesh *mesh, int surf_no)
Brush *DLL_EXPORT | GetSurfaceBrush (Surface *surf)
void DLL_EXPORT | Graphics3D (int width, int height, int depth, int mode, int rate)
void DLL_EXPORT | HandleSprite (Sprite *sprite, float h_x, float h_y)
void DLL_EXPORT | HideEntity (Entity *ent)
void DLL_EXPORT | LightColor (Light *light, float red, float green, float blue)
void DLL_EXPORT | LightConeAngles (Light *light, float inner_ang, float outer_ang)
void DLL_EXPORT | LightRange (Light *light, float range)
Entity *DLL_EXPORT | LinePick (float x, float y, float z, float dx, float dy, float dz, float radius)
Mesh *DLL_EXPORT | LoadAnimMesh (char *file, Entity *parent)
Texture *DLL_EXPORT | LoadAnimTexture (char *file, int flags, int frame_width, int frame_height, int first_frame, int frame_count)
Brush *DLL_EXPORT | LoadBrush (char *file, int flags, float u_scale, float v_scale)
Terrain *DLL_EXPORT | LoadGeosphere (char *file, Entity *parent)
Mesh *DLL_EXPORT | LoadMesh (char *file, Entity *parent)
Terrain *DLL_EXPORT | LoadTerrain (char *file, Entity *parent)
Texture *DLL_EXPORT | LoadTexture (char *file, int flags)
Sprite *DLL_EXPORT | LoadSprite (char *tex_file, int tex_flag, Entity *parent)
Mesh *DLL_EXPORT | MeshCSG (Mesh *m1, Mesh *m2, int method)
float DLL_EXPORT | MeshDepth (Mesh *mesh)
int DLL_EXPORT | MeshesIntersect (Mesh *mesh1, Mesh *mesh2)
float DLL_EXPORT | MeshHeight (Mesh *mesh)
float DLL_EXPORT | MeshWidth (Mesh *mesh)
void DLL_EXPORT | ModifyGeosphere (Geosphere *geo, int x, int z, float new_height)
void DLL_EXPORT | ModifyTerrain (Terrain *terr, int x, int z, float new_height)
void DLL_EXPORT | MoveEntity (Entity *ent, float x, float y, float z)
void DLL_EXPORT | NameEntity (Entity *ent, char *name)
void DLL_EXPORT | PaintEntity (Entity *ent, Brush *brush)
void DLL_EXPORT | PaintMesh (Mesh *mesh, Brush *brush)
void DLL_EXPORT | PaintSurface (Surface *surf, Brush *brush)
Entity *DLL_EXPORT | PickedEntity ()
float DLL_EXPORT | PickedNX ()
float DLL_EXPORT | PickedNY ()
float DLL_EXPORT | PickedNZ ()
Surface *DLL_EXPORT | PickedSurface ()
float DLL_EXPORT | PickedTime ()
int DLL_EXPORT | PickedTriangle ()
float DLL_EXPORT | PickedX ()
float DLL_EXPORT | PickedY ()
float DLL_EXPORT | PickedZ ()
void DLL_EXPORT | PointEntity (Entity *ent, Entity *target_ent, float roll)
void DLL_EXPORT | PositionEntity (Entity *ent, float x, float y, float z, int glob)
void DLL_EXPORT | PositionMesh (Mesh *mesh, float px, float py, float pz)
void DLL_EXPORT | PositionTexture (Texture *tex, float u_pos, float v_pos)
float DLL_EXPORT | ProjectedX ()
float DLL_EXPORT | ProjectedY ()
float DLL_EXPORT | ProjectedZ ()
void DLL_EXPORT | RenderWorld ()
Mesh *DLL_EXPORT | RepeatMesh (Mesh *mesh, Entity *parent)
void DLL_EXPORT | ResetEntity (Entity *ent)
void DLL_EXPORT | RotateEntity (Entity *ent, float x, float y, float z, int glob)
void DLL_EXPORT | RotateMesh (Mesh *mesh, float pitch, float yaw, float roll)
void DLL_EXPORT | RotateSprite (Sprite *sprite, float ang)
void DLL_EXPORT | RotateTexture (Texture *tex, float ang)
void DLL_EXPORT | ScaleEntity (Entity *ent, float x, float y, float z, int glob)
void DLL_EXPORT | ScaleMesh (Mesh *mesh, float sx, float sy, float sz)
void DLL_EXPORT | ScaleSprite (Sprite *sprite, float s_x, float s_y)
void DLL_EXPORT | ScaleTexture (Texture *tex, float u_scale, float v_scale)
void DLL_EXPORT | SetAnimTime (Entity *ent, float time, int seq)
void DLL_EXPORT | SetCubeFace (Texture *tex, int face)
void DLL_EXPORT | SetCubeMode (Texture *tex, int mode)
void DLL_EXPORT | ShowEntity (Entity *ent)
void DLL_EXPORT | SpriteViewMode (Sprite *sprite, int mode)
void DLL_EXPORT | StencilAlpha (Stencil *stencil, float a)
void DLL_EXPORT | StencilClsColor (Stencil *stencil, float r, float g, float b)
void DLL_EXPORT | StencilClsMode (Stencil *stencil, int cls_depth, int cls_zbuffer)
void DLL_EXPORT | StencilMesh (Stencil *stencil, Mesh *mesh, int mode)
void DLL_EXPORT | StencilMode (Stencil *stencil, int m, int o)
float DLL_EXPORT | TerrainHeight (Terrain *terr, int x, int z)
float DLL_EXPORT | TerrainX (Terrain *terr, float x, float y, float z)
float DLL_EXPORT | TerrainY (Terrain *terr, float x, float y, float z)
float DLL_EXPORT | TerrainZ (Terrain *terr, float x, float y, float z)
void DLL_EXPORT | TextureBlend (Texture *tex, int blend)
void DLL_EXPORT | TextureCoords (Texture *tex, int coords)
int DLL_EXPORT | TextureHeight (Texture *tex)
void DLL_EXPORT | TextureFilter (char *match_text, int flags)
const char *DLL_EXPORT | TextureName (Texture *tex)
int DLL_EXPORT | TextureWidth (Texture *tex)
float DLL_EXPORT | TFormedX ()
float DLL_EXPORT | TFormedY ()
float DLL_EXPORT | TFormedZ ()
void DLL_EXPORT | TFormNormal (float x, float y, float z, Entity *src_ent, Entity *dest_ent)
void DLL_EXPORT | TFormPoint (float x, float y, float z, Entity *src_ent, Entity *dest_ent)
void DLL_EXPORT | TFormVector (float x, float y, float z, Entity *src_ent, Entity *dest_ent)
void DLL_EXPORT | TranslateEntity (Entity *ent, float x, float y, float z, int glob)
int DLL_EXPORT | TriangleVertex (Surface *surf, int tri_no, int corner)
void DLL_EXPORT | TurnEntity (Entity *ent, float x, float y, float z, int glob)
void DLL_EXPORT | UpdateNormals (Mesh *mesh)
void DLL_EXPORT | UpdateTexCoords (Surface *surf)
void DLL_EXPORT | UpdateWorld (float anim_speed)
void DLL_EXPORT | UseStencil (Stencil *stencil)
float DLL_EXPORT | VectorPitch (float vx, float vy, float vz)
float DLL_EXPORT | VectorYaw (float vx, float vy, float vz)
float DLL_EXPORT | VertexAlpha (Surface *surf, int vid)
float DLL_EXPORT | VertexBlue (Surface *surf, int vid)
void DLL_EXPORT | VertexColor (Surface *surf, int vid, float r, float g, float b, float a)
void DLL_EXPORT | VertexCoords (Surface *surf, int vid, float x, float y, float z)
float DLL_EXPORT | VertexGreen (Surface *surf, int vid)
void DLL_EXPORT | VertexNormal (Surface *surf, int vid, float nx, float ny, float nz)
float DLL_EXPORT | VertexNX (Surface *surf, int vid)
float DLL_EXPORT | VertexNY (Surface *surf, int vid)
float DLL_EXPORT | VertexNZ (Surface *surf, int vid)
float DLL_EXPORT | VertexRed (Surface *surf, int vid)
void DLL_EXPORT | VertexTexCoords (Surface *surf, int vid, float u, float v, float w, int coord_set)
float DLL_EXPORT | VertexU (Surface *surf, int vid, int coord_set)
float DLL_EXPORT | VertexV (Surface *surf, int vid, int coord_set)
float DLL_EXPORT | VertexW (Surface *surf, int vid, int coord_set)
float DLL_EXPORT | VertexX (Surface *surf, int vid)
float DLL_EXPORT | VertexY (Surface *surf, int vid)
float DLL_EXPORT | VertexZ (Surface *surf, int vid)
void DLL_EXPORT | VoxelSpriteMaterial (VoxelSprite *voxelspr, Material *mat)
void DLL_EXPORT | Wireframe (int enable)
float DLL_EXPORT | EntityScaleX (Entity *ent, int glob)
float DLL_EXPORT | EntityScaleY (Entity *ent, int glob)
float DLL_EXPORT | EntityScaleZ (Entity *ent, int glob)
Shader *DLL_EXPORT | LoadShader (char *ShaderName, char *VshaderFileName, char *FshaderFileName)
Shader *DLL_EXPORT | CreateShader (char *ShaderName, char *VshaderString, char *FshaderString)
void DLL_EXPORT | ShadeSurface (Surface *surf, Shader *material)
void DLL_EXPORT | ShadeMesh (Mesh *mesh, Shader *material)
void DLL_EXPORT | ShadeEntity (Entity *ent, Shader *material)
Texture *DLL_EXPORT | ShaderTexture (Shader *material, Texture *tex, char *name, int index)
void DLL_EXPORT | SetFloat (Shader *material, char *name, float v1)
void DLL_EXPORT | SetFloat2 (Shader *material, char *name, float v1, float v2)
void DLL_EXPORT | SetFloat3 (Shader *material, char *name, float v1, float v2, float v3)
void DLL_EXPORT | SetFloat4 (Shader *material, char *name, float v1, float v2, float v3, float v4)
void DLL_EXPORT | UseFloat (Shader *material, char *name, float *v1)
void DLL_EXPORT | UseFloat2 (Shader *material, char *name, float *v1, float *v2)
void DLL_EXPORT | UseFloat3 (Shader *material, char *name, float *v1, float *v2, float *v3)
void DLL_EXPORT | UseFloat4 (Shader *material, char *name, float *v1, float *v2, float *v3, float *v4)
void DLL_EXPORT | SetInteger (Shader *material, char *name, int v1)
void DLL_EXPORT | SetInteger2 (Shader *material, char *name, int v1, int v2)
void DLL_EXPORT | SetInteger3 (Shader *material, char *name, int v1, int v2, int v3)
void DLL_EXPORT | SetInteger4 (Shader *material, char *name, int v1, int v2, int v3, int v4)
void DLL_EXPORT | UseInteger (Shader *material, char *name, int *v1)
void DLL_EXPORT | UseInteger2 (Shader *material, char *name, int *v1, int *v2)
void DLL_EXPORT | UseInteger3 (Shader *material, char *name, int *v1, int *v2, int *v3)
void DLL_EXPORT | UseInteger4 (Shader *material, char *name, int *v1, int *v2, int *v3, int *v4)
void DLL_EXPORT | UseSurface (Shader *material, char *name, Surface *surf, int vbo)
void DLL_EXPORT | UseMatrix (Shader *material, char *name, int mode)
Material *DLL_EXPORT | LoadMaterial (char *filename, int flags, int frame_width, int frame_height, int first_frame, int frame_count)
void DLL_EXPORT | ShaderMaterial (Shader *material, Material *tex, char *name, int index)
OcTree *DLL_EXPORT | CreateOcTree (float w, float h, float d, Entity *parent_ent)
void DLL_EXPORT | AddToOctree (OcTree *octree, Mesh *mesh, int level, float X, float Y, float Z, float Near, float Far)

## Macro Definition Documentation

## § DLL_EXPORT

#define DLL_EXPORT

## Function Documentation

## § AddAnimSeq()

int DLL_EXPORT AddAnimSeq | ( | Entity * | ent,
|  | int | length
| ) |  |

## § AddMesh()

void DLL_EXPORT AddMesh | ( | Mesh * | mesh1,
|  | Mesh * | mesh2
| ) |  |

## § AddToOctree()

void DLL_EXPORT AddToOctree | ( | OcTree * | octree,
|  | Mesh * | mesh,
|  | int | level,
|  | float | X,
|  | float | Y,
|  | float | Z,
|  | float | Near,
|  | float | Far
| ) |  |

## § AddTriangle()

int DLL_EXPORT AddTriangle | ( | Surface * | surf,
|  | int | v0,
|  | int | v1,
|  | int | v2
| ) |  |

## § AddVertex()

int DLL_EXPORT AddVertex | ( | Surface * | surf,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float | u,
|  | float | v,
|  | float | w
| ) |  |

## § AmbientLight()

void DLL_EXPORT AmbientLight | ( | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § Animate()

void DLL_EXPORT Animate | ( | Entity * | ent,
|  | int | mode,
|  | float | speed,
|  | int | seq,
|  | int | trans
| ) |  |

## § Animating()

int DLL_EXPORT Animating | ( | Entity * | ent | ) |

## § AnimLength()

int DLL_EXPORT AnimLength | ( | Entity * | ent | ) |

## § AnimSeq()

int DLL_EXPORT AnimSeq | ( | Entity * | ent | ) |

## § AnimTime()

float DLL_EXPORT AnimTime | ( | Entity * | ent | ) |

## § AntiAlias()

void DLL_EXPORT AntiAlias | ( | int | samples | ) |

## § BackBufferToTex()

void DLL_EXPORT BackBufferToTex | ( | Texture * | tex,
|  | int | frame
| ) |  |

## § BrushAlpha()

void DLL_EXPORT BrushAlpha | ( | Brush * | brush,
|  | float | a
| ) |  |

## § BrushBlend()

void DLL_EXPORT BrushBlend | ( | Brush * | brush,
|  | int | blend
| ) |  |

## § BrushColor()

void DLL_EXPORT BrushColor | ( | Brush * | brush,
|  | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § BrushFX()

void DLL_EXPORT BrushFX | ( | Brush * | brush,
|  | int | fx
| ) |  |

## § BrushGLBlendFunc()

void DLL_EXPORT BrushGLBlendFunc | ( | Brush * | brush,
|  | int | sfactor,
|  | int | dfactor
| ) |  |

## § BrushGLColor()

void DLL_EXPORT BrushGLColor | ( | Brush * | brush,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float | a
| ) |  |

## § BrushShininess()

void DLL_EXPORT BrushShininess | ( | Brush * | brush,
|  | float | s
| ) |  |

## § BrushTexture()

void DLL_EXPORT BrushTexture | ( | Brush * | brush,
|  | Texture * | tex,
|  | int | frame,
|  | int | index
| ) |  |

## § BufferToTex()

void DLL_EXPORT BufferToTex | ( | Texture * | tex,
|  | unsigned char * | buffer,
|  | int | frame
| ) |  |

## § CameraClsColor()

void DLL_EXPORT CameraClsColor | ( | Camera * | cam,
|  | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § CameraClsMode()

void DLL_EXPORT CameraClsMode | ( | Camera * | cam,
|  | int | cls_depth,
|  | int | cls_zbuffer
| ) |  |

## § CameraFogColor()

void DLL_EXPORT CameraFogColor | ( | Camera * | cam,
|  | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § CameraFogMode()

void DLL_EXPORT CameraFogMode | ( | Camera * | cam,
|  | int | mode
| ) |  |

## § CameraFogRange()

void DLL_EXPORT CameraFogRange | ( | Camera * | cam,
|  | float | nnear,
|  | float | nfar
| ) |  |

## § CameraPick()

Entity* DLL_EXPORT CameraPick | ( | Camera * | cam,
|  | float | x,
|  | float | y
| ) |  |

## § CameraProject()

void DLL_EXPORT CameraProject | ( | Camera * | cam,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § CameraProjMode()

void DLL_EXPORT CameraProjMode | ( | Camera * | cam,
|  | int | mode
| ) |  |

## § CameraRange()

void DLL_EXPORT CameraRange | ( | Camera * | cam,
|  | float | nnear,
|  | float | nfar
| ) |  |

## § CameraToTex()

void DLL_EXPORT CameraToTex | ( | Texture * | tex,
|  | Camera * | cam,
|  | int | frame
| ) |  |

## § CameraViewport()

void DLL_EXPORT CameraViewport | ( | Camera * | cam,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  |

## § CameraZoom()

void DLL_EXPORT CameraZoom | ( | Camera * | cam,
|  | float | zoom
| ) |  |

## § ClearSurface()

void DLL_EXPORT ClearSurface | ( | Surface * | surf,
|  | int | clear_verts,
|  | int | clear_tris
| ) |  |

## § ClearTextureFilters()

void DLL_EXPORT ClearTextureFilters | ( |  | ) |

## § ClearWorld()

void DLL_EXPORT ClearWorld | ( | int | entities,
|  | int | brushes,
|  | int | textures
| ) |  |

## § CollisionEntity()

Entity* DLL_EXPORT CollisionEntity | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CollisionNX()

float DLL_EXPORT CollisionNX | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CollisionNY()

float DLL_EXPORT CollisionNY | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CollisionNZ()

float DLL_EXPORT CollisionNZ | ( | Entity * | ent,
|  | int | index
| ) |  |

## § Collisions()

void DLL_EXPORT Collisions | ( | int | src_no,
|  | int | dest_no,
|  | int | method_no,
|  | int | response_no
| ) |  |

## § CollisionSurface()

Surface* DLL_EXPORT CollisionSurface | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CollisionTime()

float DLL_EXPORT CollisionTime | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CollisionTriangle()

int DLL_EXPORT CollisionTriangle | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CollisionX()

float DLL_EXPORT CollisionX | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CollisionY()

float DLL_EXPORT CollisionY | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CollisionZ()

float DLL_EXPORT CollisionZ | ( | Entity * | ent,
|  | int | index
| ) |  |

## § CopyEntity()

Entity* DLL_EXPORT CopyEntity | ( | Entity * | ent,
|  | Entity * | parent
| ) |  |

## § CopyMesh()

Mesh* DLL_EXPORT CopyMesh | ( | Mesh * | mesh,
|  | Entity * | parent
| ) |  |

## § CountChildren()

int DLL_EXPORT CountChildren | ( | Entity * | ent | ) |

## § CountCollisions()

int DLL_EXPORT CountCollisions | ( | Entity * | ent | ) |

## § CountSurfaces()

int DLL_EXPORT CountSurfaces | ( | Mesh * | mesh | ) |

## § CountTriangles()

int DLL_EXPORT CountTriangles | ( | Surface * | surf | ) |

## § CountVertices()

int DLL_EXPORT CountVertices | ( | Surface * | surf | ) |

## § CreateBrush()

Brush* DLL_EXPORT CreateBrush | ( | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § CreateCamera()

Camera* DLL_EXPORT CreateCamera | ( | Entity * | parent | ) |

## § CreateCone()

Mesh* DLL_EXPORT CreateCone | ( | int | segments,
|  | int | solid,
|  | Entity * | parent
| ) |  |

## § CreateCube()

Mesh* DLL_EXPORT CreateCube | ( | Entity * | parent | ) |

## § CreateCylinder()

Mesh* DLL_EXPORT CreateCylinder | ( | int | segments,
|  | int | solid,
|  | Entity * | parent
| ) |  |

## § CreateGeosphere()

Terrain* DLL_EXPORT CreateGeosphere | ( | int | size,
|  | Entity * | parent
| ) |  |

## § CreateLight()

Light* DLL_EXPORT CreateLight | ( | int | light_type,
|  | Entity * | parent
| ) |  |

## § CreateMesh()

Mesh* DLL_EXPORT CreateMesh | ( | Entity * | parent | ) |

## § CreateOcTree()

OcTree* DLL_EXPORT CreateOcTree | ( | float | w,
|  | float | h,
|  | float | d,
|  | Entity * | parent_ent
| ) |  |

## § CreatePivot()

Pivot* DLL_EXPORT CreatePivot | ( | Entity * | parent | ) |

## § CreatePlane()

Mesh* DLL_EXPORT CreatePlane | ( | int | divisions,
|  | Entity * | parent
| ) |  |

## § CreateQuad()

Mesh* DLL_EXPORT CreateQuad | ( | Entity * | parent | ) |

## § CreateShader()

Shader* DLL_EXPORT CreateShader | ( | char * | ShaderName,
|  | char * | VshaderString,
|  | char * | FshaderString
| ) |  |

## § CreateShadow()

ShadowObject* DLL_EXPORT CreateShadow | ( | Mesh * | parent,
|  | char | Static
| ) |  |

## § CreateSphere()

Mesh* DLL_EXPORT CreateSphere | ( | int | segments,
|  | Entity * | parent
| ) |  |

## § CreateSprite()

Sprite* DLL_EXPORT CreateSprite | ( | Entity * | parent | ) |

## § CreateStencil()

Stencil* DLL_EXPORT CreateStencil | ( |  | ) |

## § CreateSurface()

Surface* DLL_EXPORT CreateSurface | ( | Mesh * | mesh,
|  | Brush * | brush
| ) |  |

## § CreateTerrain()

Terrain* DLL_EXPORT CreateTerrain | ( | int | size,
|  | Entity * | parent
| ) |  |

## § CreateTexture()

Texture* DLL_EXPORT CreateTexture | ( | int | width,
|  | int | height,
|  | int | flags,
|  | int | frames
| ) |  |

## § CreateVoxelSprite()

VoxelSprite* DLL_EXPORT CreateVoxelSprite | ( | int | slices,
|  | Entity * | parent
| ) |  |

## § DeltaPitch()

float DLL_EXPORT DeltaPitch | ( | Entity * | ent1,
|  | Entity * | ent2
| ) |  |

## § DeltaYaw()

float DLL_EXPORT DeltaYaw | ( | Entity * | ent1,
|  | Entity * | ent2
| ) |  |

## § EntityAlpha()

void DLL_EXPORT EntityAlpha | ( | Entity * | ent,
|  | float | alpha
| ) |  |

## § EntityAutoFade()

void DLL_EXPORT EntityAutoFade | ( | Entity * | ent,
|  | float | near,
|  | float | far
| ) |  |

## § EntityBlend()

void DLL_EXPORT EntityBlend | ( | Entity * | ent,
|  | int | blend
| ) |  |

## § EntityBox()

void DLL_EXPORT EntityBox | ( | Entity * | ent,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float | w,
|  | float | h,
|  | float | d
| ) |  |

## § EntityClass()

const char* DLL_EXPORT EntityClass | ( | Entity * | ent | ) |

## § EntityCollided()

Entity* DLL_EXPORT EntityCollided | ( | Entity * | ent,
|  | int | type_no
| ) |  |

## § EntityColor()

void DLL_EXPORT EntityColor | ( | Entity * | ent,
|  | float | red,
|  | float | green,
|  | float | blue
| ) |  |

## § EntityDistance()

float DLL_EXPORT EntityDistance | ( | Entity * | ent1,
|  | Entity * | ent2
| ) |  |

## § EntityFX()

void DLL_EXPORT EntityFX | ( | Entity * | ent,
|  | int | fx
| ) |  |

## § EntityInView()

int DLL_EXPORT EntityInView | ( | Entity * | ent,
|  | Camera * | cam
| ) |  |

## § EntityName()

const char* DLL_EXPORT EntityName | ( | Entity * | ent | ) |

## § EntityOrder()

void DLL_EXPORT EntityOrder | ( | Entity * | ent,
|  | int | order
| ) |  |

## § EntityParent()

void DLL_EXPORT EntityParent | ( | Entity * | ent,
|  | Entity * | parent_ent,
|  | int | glob
| ) |  |

## § EntityPick()

Entity* DLL_EXPORT EntityPick | ( | Entity * | ent,
|  | float | range
| ) |  |

## § EntityPickMode()

void DLL_EXPORT EntityPickMode | ( | Entity * | ent,
|  | int | pick_mode,
|  | int | obscurer
| ) |  |

## § EntityPitch()

float DLL_EXPORT EntityPitch | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § EntityRadius()

void DLL_EXPORT EntityRadius | ( | Entity * | ent,
|  | float | radius_x,
|  | float | radius_y
| ) |  |

## § EntityRoll()

float DLL_EXPORT EntityRoll | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § EntityScaleX()

float DLL_EXPORT EntityScaleX | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § EntityScaleY()

float DLL_EXPORT EntityScaleY | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § EntityScaleZ()

float DLL_EXPORT EntityScaleZ | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § EntityShininess()

void DLL_EXPORT EntityShininess | ( | Entity * | ent,
|  | float | shine
| ) |  |

## § EntityTexture()

void DLL_EXPORT EntityTexture | ( | Entity * | ent,
|  | Texture * | tex,
|  | int | frame,
|  | int | index
| ) |  |

## § EntityType()

void DLL_EXPORT EntityType | ( | Entity * | ent,
|  | int | type_no,
|  | int | recursive
| ) |  |

## § EntityVisible()

int DLL_EXPORT EntityVisible | ( | Entity * | src_ent,
|  | Entity * | dest_ent
| ) |  |

## § EntityX()

float DLL_EXPORT EntityX | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § EntityY()

float DLL_EXPORT EntityY | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § EntityYaw()

float DLL_EXPORT EntityYaw | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § EntityZ()

float DLL_EXPORT EntityZ | ( | Entity * | ent,
|  | int | glob
| ) |  |

## § ExtractAnimSeq()

int DLL_EXPORT ExtractAnimSeq | ( | Entity * | ent,
|  | int | first_frame,
|  | int | last_frame,
|  | int | seq
| ) |  |

## § FindChild()

Entity* DLL_EXPORT FindChild | ( | Entity * | ent,
|  | char * | child_name
| ) |  |

## § FindSurface()

Surface* DLL_EXPORT FindSurface | ( | Mesh * | mesh,
|  | Brush * | brush
| ) |  |

## § FitMesh()

void DLL_EXPORT FitMesh | ( | Mesh * | mesh,
|  | float | x,
|  | float | y,
|  | float | z,
|  | float | width,
|  | float | height,
|  | float | depth,
|  | int | uniform
| ) |  |

## § FlipMesh()

void DLL_EXPORT FlipMesh | ( | Mesh * | mesh | ) |

## § FreeBrush()

void DLL_EXPORT FreeBrush | ( | Brush * | brush | ) |

## § FreeEntity()

void DLL_EXPORT FreeEntity | ( | Entity * | ent | ) |

## § FreeShader()

void DLL_EXPORT FreeShader | ( | Shader * | shader | ) |

## § FreeShadow()

void DLL_EXPORT FreeShadow | ( | ShadowObject * | shad | ) |

## § FreeStencil()

void DLL_EXPORT FreeStencil | ( | Stencil * | stencil | ) |

## § FreeSurface()

void DLL_EXPORT FreeSurface | ( | Surface * | surf | ) |

## § FreeTexture()

void DLL_EXPORT FreeTexture | ( | Texture * | tex | ) |

## § GetBrushTexture()

Texture* DLL_EXPORT GetBrushTexture | ( | Brush * | brush,
|  | int | index
| ) |  |

## § GetChild()

Entity* DLL_EXPORT GetChild | ( | Entity * | ent,
|  | int | child_no
| ) |  |

## § GetEntityBrush()

Brush* DLL_EXPORT GetEntityBrush | ( | Entity * | ent | ) |

## § GetEntityType()

int DLL_EXPORT GetEntityType | ( | Entity * | ent | ) |

## § GetMatElement()

float DLL_EXPORT GetMatElement | ( | Entity * | ent,
|  | int | row,
|  | int | col
| ) |  |

## § GetParentEntity()

Entity* DLL_EXPORT GetParentEntity | ( | Entity * | ent | ) |

## § GetSurface()

Surface* DLL_EXPORT GetSurface | ( | Mesh * | mesh,
|  | int | surf_no
| ) |  |

## § GetSurfaceBrush()

Brush* DLL_EXPORT GetSurfaceBrush | ( | Surface * | surf | ) |

## § Graphics3D()

void DLL_EXPORT Graphics3D | ( | int | width,
|  | int | height,
|  | int | depth,
|  | int | mode,
|  | int | rate
| ) |  |

## § HandleSprite()

void DLL_EXPORT HandleSprite | ( | Sprite * | sprite,
|  | float | h_x,
|  | float | h_y
| ) |  |

## § HideEntity()

void DLL_EXPORT HideEntity | ( | Entity * | ent | ) |

## § LightColor()

void DLL_EXPORT LightColor | ( | Light * | light,
|  | float | red,
|  | float | green,
|  | float | blue
| ) |  |

## § LightConeAngles()

void DLL_EXPORT LightConeAngles | ( | Light * | light,
|  | float | inner_ang,
|  | float | outer_ang
| ) |  |

## § LightRange()

void DLL_EXPORT LightRange | ( | Light * | light,
|  | float | range
| ) |  |

## § LinePick()

Entity* DLL_EXPORT LinePick | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | dx,
|  | float | dy,
|  | float | dz,
|  | float | radius
| ) |  |

## § LoadAnimMesh()

Mesh* DLL_EXPORT LoadAnimMesh | ( | char * | file,
|  | Entity * | parent
| ) |  |

## § LoadAnimTexture()

Texture* DLL_EXPORT LoadAnimTexture | ( | char * | file,
|  | int | flags,
|  | int | frame_width,
|  | int | frame_height,
|  | int | first_frame,
|  | int | frame_count
| ) |  |

## § LoadBrush()

Brush* DLL_EXPORT LoadBrush | ( | char * | file,
|  | int | flags,
|  | float | u_scale,
|  | float | v_scale
| ) |  |

## § LoadGeosphere()

Terrain* DLL_EXPORT LoadGeosphere | ( | char * | file,
|  | Entity * | parent
| ) |  |

## § LoadMaterial()

Material* DLL_EXPORT LoadMaterial | ( | char * | filename,
|  | int | flags,
|  | int | frame_width,
|  | int | frame_height,
|  | int | first_frame,
|  | int | frame_count
| ) |  |

## § LoadMesh()

Mesh* DLL_EXPORT LoadMesh | ( | char * | file,
|  | Entity * | parent
| ) |  |

## § LoadShader()

Shader* DLL_EXPORT LoadShader | ( | char * | ShaderName,
|  | char * | VshaderFileName,
|  | char * | FshaderFileName
| ) |  |

## § LoadSprite()

Sprite* DLL_EXPORT LoadSprite | ( | char * | tex_file,
|  | int | tex_flag,
|  | Entity * | parent
| ) |  |

## § LoadTerrain()

Terrain* DLL_EXPORT LoadTerrain | ( | char * | file,
|  | Entity * | parent
| ) |  |

## § LoadTexture()

Texture* DLL_EXPORT LoadTexture | ( | char * | file,
|  | int | flags
| ) |  |

## § MeshCSG()

Mesh* DLL_EXPORT MeshCSG | ( | Mesh * | m1,
|  | Mesh * | m2,
|  | int | method
| ) |  |

## § MeshCullRadius()

void DLL_EXPORT MeshCullRadius | ( | Entity * | ent,
|  | float | radius
| ) |  |

## § MeshDepth()

float DLL_EXPORT MeshDepth | ( | Mesh * | mesh | ) |

## § MeshesIntersect()

int DLL_EXPORT MeshesIntersect | ( | Mesh * | mesh1,
|  | Mesh * | mesh2
| ) |  |

## § MeshHeight()

float DLL_EXPORT MeshHeight | ( | Mesh * | mesh | ) |

## § MeshWidth()

float DLL_EXPORT MeshWidth | ( | Mesh * | mesh | ) |

## § ModifyGeosphere()

void DLL_EXPORT ModifyGeosphere | ( | Geosphere * | geo,
|  | int | x,
|  | int | z,
|  | float | new_height
| ) |  |

## § ModifyTerrain()

void DLL_EXPORT ModifyTerrain | ( | Terrain * | terr,
|  | int | x,
|  | int | z,
|  | float | new_height
| ) |  |

## § MoveEntity()

void DLL_EXPORT MoveEntity | ( | Entity * | ent,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § NameEntity()

void DLL_EXPORT NameEntity | ( | Entity * | ent,
|  | char * | name
| ) |  |

## § PaintEntity()

void DLL_EXPORT PaintEntity | ( | Entity * | ent,
|  | Brush * | brush
| ) |  |

## § PaintMesh()

void DLL_EXPORT PaintMesh | ( | Mesh * | mesh,
|  | Brush * | brush
| ) |  |

## § PaintSurface()

void DLL_EXPORT PaintSurface | ( | Surface * | surf,
|  | Brush * | brush
| ) |  |

## § PickedEntity()

Entity* DLL_EXPORT PickedEntity | ( |  | ) |

## § PickedNX()

float DLL_EXPORT PickedNX | ( |  | ) |

## § PickedNY()

float DLL_EXPORT PickedNY | ( |  | ) |

## § PickedNZ()

float DLL_EXPORT PickedNZ | ( |  | ) |

## § PickedSurface()

Surface* DLL_EXPORT PickedSurface | ( |  | ) |

## § PickedTime()

float DLL_EXPORT PickedTime | ( |  | ) |

## § PickedTriangle()

int DLL_EXPORT PickedTriangle | ( |  | ) |

## § PickedX()

float DLL_EXPORT PickedX | ( |  | ) |

## § PickedY()

float DLL_EXPORT PickedY | ( |  | ) |

## § PickedZ()

float DLL_EXPORT PickedZ | ( |  | ) |

## § PointEntity()

void DLL_EXPORT PointEntity | ( | Entity * | ent,
|  | Entity * | target_ent,
|  | float | roll
| ) |  |

## § PositionEntity()

void DLL_EXPORT PositionEntity | ( | Entity * | ent,
|  | float | x,
|  | float | y,
|  | float | z,
|  | int | glob
| ) |  |

## § PositionMesh()

void DLL_EXPORT PositionMesh | ( | Mesh * | mesh,
|  | float | px,
|  | float | py,
|  | float | pz
| ) |  |

## § PositionTexture()

void DLL_EXPORT PositionTexture | ( | Texture * | tex,
|  | float | u_pos,
|  | float | v_pos
| ) |  |

## § ProjectedX()

float DLL_EXPORT ProjectedX | ( |  | ) |

## § ProjectedY()

float DLL_EXPORT ProjectedY | ( |  | ) |

## § ProjectedZ()

float DLL_EXPORT ProjectedZ | ( |  | ) |

## § RenderWorld()

void DLL_EXPORT RenderWorld | ( |  | ) |

## § RepeatMesh()

Mesh* DLL_EXPORT RepeatMesh | ( | Mesh * | mesh,
|  | Entity * | parent
| ) |  |

## § ResetEntity()

void DLL_EXPORT ResetEntity | ( | Entity * | ent | ) |

## § RotateEntity()

void DLL_EXPORT RotateEntity | ( | Entity * | ent,
|  | float | x,
|  | float | y,
|  | float | z,
|  | int | glob
| ) |  |

## § RotateMesh()

void DLL_EXPORT RotateMesh | ( | Mesh * | mesh,
|  | float | pitch,
|  | float | yaw,
|  | float | roll
| ) |  |

## § RotateSprite()

void DLL_EXPORT RotateSprite | ( | Sprite * | sprite,
|  | float | ang
| ) |  |

## § RotateTexture()

void DLL_EXPORT RotateTexture | ( | Texture * | tex,
|  | float | ang
| ) |  |

## § ScaleEntity()

void DLL_EXPORT ScaleEntity | ( | Entity * | ent,
|  | float | x,
|  | float | y,
|  | float | z,
|  | int | glob
| ) |  |

## § ScaleMesh()

void DLL_EXPORT ScaleMesh | ( | Mesh * | mesh,
|  | float | sx,
|  | float | sy,
|  | float | sz
| ) |  |

## § ScaleSprite()

void DLL_EXPORT ScaleSprite | ( | Sprite * | sprite,
|  | float | s_x,
|  | float | s_y
| ) |  |

## § ScaleTexture()

void DLL_EXPORT ScaleTexture | ( | Texture * | tex,
|  | float | u_scale,
|  | float | v_scale
| ) |  |

## § SetAnimTime()

void DLL_EXPORT SetAnimTime | ( | Entity * | ent,
|  | float | time,
|  | int | seq
| ) |  |

## § SetCubeFace()

void DLL_EXPORT SetCubeFace | ( | Texture * | tex,
|  | int | face
| ) |  |

## § SetCubeMode()

void DLL_EXPORT SetCubeMode | ( | Texture * | tex,
|  | int | mode
| ) |  |

## § SetFloat()

void DLL_EXPORT SetFloat | ( | Shader * | material,
|  | char * | name,
|  | float | v1
| ) |  |

## § SetFloat2()

void DLL_EXPORT SetFloat2 | ( | Shader * | material,
|  | char * | name,
|  | float | v1,
|  | float | v2
| ) |  |

## § SetFloat3()

void DLL_EXPORT SetFloat3 | ( | Shader * | material,
|  | char * | name,
|  | float | v1,
|  | float | v2,
|  | float | v3
| ) |  |

## § SetFloat4()

void DLL_EXPORT SetFloat4 | ( | Shader * | material,
|  | char * | name,
|  | float | v1,
|  | float | v2,
|  | float | v3,
|  | float | v4
| ) |  |

## § SetInteger()

void DLL_EXPORT SetInteger | ( | Shader * | material,
|  | char * | name,
|  | int | v1
| ) |  |

## § SetInteger2()

void DLL_EXPORT SetInteger2 | ( | Shader * | material,
|  | char * | name,
|  | int | v1,
|  | int | v2
| ) |  |

## § SetInteger3()

void DLL_EXPORT SetInteger3 | ( | Shader * | material,
|  | char * | name,
|  | int | v1,
|  | int | v2,
|  | int | v3
| ) |  |

## § SetInteger4()

void DLL_EXPORT SetInteger4 | ( | Shader * | material,
|  | char * | name,
|  | int | v1,
|  | int | v2,
|  | int | v3,
|  | int | v4
| ) |  |

## § ShadeEntity()

void DLL_EXPORT ShadeEntity | ( | Entity * | ent,
|  | Shader * | material
| ) |  |

## § ShadeMesh()

void DLL_EXPORT ShadeMesh | ( | Mesh * | mesh,
|  | Shader * | material
| ) |  |

## § ShaderMaterial()

void DLL_EXPORT ShaderMaterial | ( | Shader * | material,
|  | Material * | tex,
|  | char * | name,
|  | int | index
| ) |  |

## § ShaderTexture()

Texture* DLL_EXPORT ShaderTexture | ( | Shader * | material,
|  | Texture * | tex,
|  | char * | name,
|  | int | index
| ) |  |

## § ShadeSurface()

void DLL_EXPORT ShadeSurface | ( | Surface * | surf,
|  | Shader * | material
| ) |  |

## § ShowEntity()

void DLL_EXPORT ShowEntity | ( | Entity * | ent | ) |

## § SpriteViewMode()

void DLL_EXPORT SpriteViewMode | ( | Sprite * | sprite,
|  | int | mode
| ) |  |

## § StencilAlpha()

void DLL_EXPORT StencilAlpha | ( | Stencil * | stencil,
|  | float | a
| ) |  |

## § StencilClsColor()

void DLL_EXPORT StencilClsColor | ( | Stencil * | stencil,
|  | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § StencilClsMode()

void DLL_EXPORT StencilClsMode | ( | Stencil * | stencil,
|  | int | cls_depth,
|  | int | cls_zbuffer
| ) |  |

## § StencilMesh()

void DLL_EXPORT StencilMesh | ( | Stencil * | stencil,
|  | Mesh * | mesh,
|  | int | mode
| ) |  |

## § StencilMode()

void DLL_EXPORT StencilMode | ( | Stencil * | stencil,
|  | int | m,
|  | int | o
| ) |  |

## § TerrainHeight()

float DLL_EXPORT TerrainHeight | ( | Terrain * | terr,
|  | int | x,
|  | int | z
| ) |  |

## § TerrainX()

float DLL_EXPORT TerrainX | ( | Terrain * | terr,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § TerrainY()

float DLL_EXPORT TerrainY | ( | Terrain * | terr,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § TerrainZ()

float DLL_EXPORT TerrainZ | ( | Terrain * | terr,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § TexToBuffer()

void DLL_EXPORT TexToBuffer | ( | Texture * | tex,
|  | unsigned char * | buffer,
|  | int | frame
| ) |  |

## § TextureBlend()

void DLL_EXPORT TextureBlend | ( | Texture * | tex,
|  | int | blend
| ) |  |

## § TextureCoords()

void DLL_EXPORT TextureCoords | ( | Texture * | tex,
|  | int | coords
| ) |  |

## § TextureFilter()

void DLL_EXPORT TextureFilter | ( | char * | match_text,
|  | int | flags
| ) |  |

## § TextureFlags()

void DLL_EXPORT TextureFlags | ( | Texture * | tex,
|  | int | flags
| ) |  |

## § TextureGLTexEnv()

void DLL_EXPORT TextureGLTexEnv | ( | Texture * | tex,
|  | int | target,
|  | int | pname,
|  | int | param
| ) |  |

## § TextureHeight()

int DLL_EXPORT TextureHeight | ( | Texture * | tex | ) |

## § TextureName()

const char* DLL_EXPORT TextureName | ( | Texture * | tex | ) |

## § TextureWidth()

int DLL_EXPORT TextureWidth | ( | Texture * | tex | ) |

## § TFormedX()

float DLL_EXPORT TFormedX | ( |  | ) |

## § TFormedY()

float DLL_EXPORT TFormedY | ( |  | ) |

## § TFormedZ()

float DLL_EXPORT TFormedZ | ( |  | ) |

## § TFormNormal()

void DLL_EXPORT TFormNormal | ( | float | x,
|  | float | y,
|  | float | z,
|  | Entity * | src_ent,
|  | Entity * | dest_ent
| ) |  |

## § TFormPoint()

void DLL_EXPORT TFormPoint | ( | float | x,
|  | float | y,
|  | float | z,
|  | Entity * | src_ent,
|  | Entity * | dest_ent
| ) |  |

## § TFormVector()

void DLL_EXPORT TFormVector | ( | float | x,
|  | float | y,
|  | float | z,
|  | Entity * | src_ent,
|  | Entity * | dest_ent
| ) |  |

## § TranslateEntity()

void DLL_EXPORT TranslateEntity | ( | Entity * | ent,
|  | float | x,
|  | float | y,
|  | float | z,
|  | int | glob
| ) |  |

## § TriangleVertex()

int DLL_EXPORT TriangleVertex | ( | Surface * | surf,
|  | int | tri_no,
|  | int | corner
| ) |  |

## § TurnEntity()

void DLL_EXPORT TurnEntity | ( | Entity * | ent,
|  | float | x,
|  | float | y,
|  | float | z,
|  | int | glob
| ) |  |

## § UpdateNormals()

void DLL_EXPORT UpdateNormals | ( | Mesh * | mesh | ) |

## § UpdateTexCoords()

void DLL_EXPORT UpdateTexCoords | ( | Surface * | surf | ) |

## § UpdateWorld()

void DLL_EXPORT UpdateWorld | ( | float | anim_speed | ) |

## § UseFloat()

void DLL_EXPORT UseFloat | ( | Shader * | material,
|  | char * | name,
|  | float * | v1
| ) |  |

## § UseFloat2()

void DLL_EXPORT UseFloat2 | ( | Shader * | material,
|  | char * | name,
|  | float * | v1,
|  | float * | v2
| ) |  |

## § UseFloat3()

void DLL_EXPORT UseFloat3 | ( | Shader * | material,
|  | char * | name,
|  | float * | v1,
|  | float * | v2,
|  | float * | v3
| ) |  |

## § UseFloat4()

void DLL_EXPORT UseFloat4 | ( | Shader * | material,
|  | char * | name,
|  | float * | v1,
|  | float * | v2,
|  | float * | v3,
|  | float * | v4
| ) |  |

## § UseInteger()

void DLL_EXPORT UseInteger | ( | Shader * | material,
|  | char * | name,
|  | int * | v1
| ) |  |

## § UseInteger2()

void DLL_EXPORT UseInteger2 | ( | Shader * | material,
|  | char * | name,
|  | int * | v1,
|  | int * | v2
| ) |  |

## § UseInteger3()

void DLL_EXPORT UseInteger3 | ( | Shader * | material,
|  | char * | name,
|  | int * | v1,
|  | int * | v2,
|  | int * | v3
| ) |  |

## § UseInteger4()

void DLL_EXPORT UseInteger4 | ( | Shader * | material,
|  | char * | name,
|  | int * | v1,
|  | int * | v2,
|  | int * | v3,
|  | int * | v4
| ) |  |

## § UseMatrix()

void DLL_EXPORT UseMatrix | ( | Shader * | material,
|  | char * | name,
|  | int | mode
| ) |  |

## § UseStencil()

void DLL_EXPORT UseStencil | ( | Stencil * | stencil | ) |

## § UseSurface()

void DLL_EXPORT UseSurface | ( | Shader * | material,
|  | char * | name,
|  | Surface * | surf,
|  | int | vbo
| ) |  |

## § VectorPitch()

float DLL_EXPORT VectorPitch | ( | float | vx,
|  | float | vy,
|  | float | vz
| ) |  |

## § VectorYaw()

float DLL_EXPORT VectorYaw | ( | float | vx,
|  | float | vy,
|  | float | vz
| ) |  |

## § VertexAlpha()

float DLL_EXPORT VertexAlpha | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexBlue()

float DLL_EXPORT VertexBlue | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexColor()

void DLL_EXPORT VertexColor | ( | Surface * | surf,
|  | int | vid,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float | a
| ) |  |

## § VertexCoords()

void DLL_EXPORT VertexCoords | ( | Surface * | surf,
|  | int | vid,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

## § VertexGreen()

float DLL_EXPORT VertexGreen | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexNormal()

void DLL_EXPORT VertexNormal | ( | Surface * | surf,
|  | int | vid,
|  | float | nx,
|  | float | ny,
|  | float | nz
| ) |  |

## § VertexNX()

float DLL_EXPORT VertexNX | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexNY()

float DLL_EXPORT VertexNY | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexNZ()

float DLL_EXPORT VertexNZ | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexRed()

float DLL_EXPORT VertexRed | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexTexCoords()

void DLL_EXPORT VertexTexCoords | ( | Surface * | surf,
|  | int | vid,
|  | float | u,
|  | float | v,
|  | float | w,
|  | int | coord_set
| ) |  |

## § VertexU()

float DLL_EXPORT VertexU | ( | Surface * | surf,
|  | int | vid,
|  | int | coord_set
| ) |  |

## § VertexV()

float DLL_EXPORT VertexV | ( | Surface * | surf,
|  | int | vid,
|  | int | coord_set
| ) |  |

## § VertexW()

float DLL_EXPORT VertexW | ( | Surface * | surf,
|  | int | vid,
|  | int | coord_set
| ) |  |

## § VertexX()

float DLL_EXPORT VertexX | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexY()

float DLL_EXPORT VertexY | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VertexZ()

float DLL_EXPORT VertexZ | ( | Surface * | surf,
|  | int | vid
| ) |  |

## § VoxelSpriteMaterial()

void DLL_EXPORT VoxelSpriteMaterial | ( | VoxelSprite * | voxelspr,
|  | Material * | mat
| ) |  |

## § Wireframe()

void DLL_EXPORT Wireframe | ( | int | enable | ) |